Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
ipv4
/
services
List Tenant IPv4 Services
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/ipv4/services \
  --header 'Authorization: Bearer <token>'
{
  "billing_service": {
    "address": "string",
    "cidr": 0,
    "next_due_date": 0,
    "recurring_amount": 0,
    "status": "pending",
    "pricing": {
      "uuid": "string",
      "wants_to_negotiate": true
    },
    "uuid": "string",
    "ecommerce_subscription_uuid": "string"
  },
  "loa": [
    {
      "data": [
        {
          "uuid": "string",
          "asn": 0,
          "as_name": "string",
          "status": "string",
          "created_at": 0
        }
      ]
    }
  ],
  "market_service": {
    "expires_at": 0,
    "registry": "string",
    "uuid": "string"
  },
  "ecommerce_subscription_uuid": "string",
  "ecommerce_pending_order": {
    "uuid": "string",
    "status": "string",
    "expires_at": "string"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Query Parameters

uuid
string

Filter By IPv4 Service UUID

address
string<ipv4>

Filter By IPv4 Service Address

cidr
integer

Filter by IPv4 Service CIDR

registry
enum<string>

Filter by IPv4 Service Registry

Available options:
ripencc,
arin,
afrinic,
lacnic,
apnic
status
enum<string>[]

Search by Subnet status

Available options:
pending,
active,
suspended,
terminated
display
enum<string>[]

Search by Subnet Display status

Available options:
assigned,
unassigned
sort
string

Sort By Key Expects the value to be list of keys sepparated by commas. Default sort direction for each individual key is ASCENDING, but prefix '-' can be set for each individual key to indicate DESCENDING direction. Valid keys are: [address,cidr,market_service_expiration_date,recurring_amount,billing_cycle,start_date,next_due_date]. Example: '-cidr,address' - will sort descendingly by first and then by

for services with same

direction
enum<string>[]

Sorting direction

Available options:
asc,
desc
asn
integer

Filter by asn

page
integer
default:1

List Page

per_page
integer
default:15

Items Per Page

Response

IPv4 Services Collection

billing_service
object
loa
object[]

list of LOA documents

market_service
object
ecommerce_subscription_uuid
string | null
ecommerce_pending_order
object